# checkDataWitheIDAssertion method

Use this method to check the data with an eIDAssertion.

This method checks the validity of:

* if parameters match all the mandatory fields as described [in data objects reference](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects)
* if parameters match the allowed values as described [in data objects reference](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects)
* if the LRA is enabled to issue disposable certificates
* if the LRA is enabled to use the [authorized eid](/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-ig-eid-identification)
* If the [`otpType = SMS`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate) by default the same phone number [can be used only by 1 holder](/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-faq-not-unique-phone-number) in a time range of 30 days.
* if the [`otpType=EMAIL`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate) by default the same email [can be used only by 1 holder](/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-faq-not-unique-phone-number) in a time range of 30 days.
* if the [`otpType=WHATSAPP`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate) by default the same phone number [can be used only by 1 holder](/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-faq-not-unique-phone-number) in a time range of 30 days.
* if the [`otpType=NO_OTP`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate) the LRA has to be authorized


Check [How to enroll a disposable with an assertion provided by an authorized eID](/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-ig-how-to-enroll-disposable-eid-assertion) for more details.

**For the full technical reference, see the [OpenAPI specification](/products/leandisposable/openapi/certificate/checkdatawitheidassertion)**.

REST API
#### Endpoint


```
POST /api/certificate/{lraId}/checkDataWitheIDAssertion
```

#### Headers

| Name | Required | Description |
|  --- | --- | --- |
| `Content-Type` | Yes | Must be `application/json`. |
| `Authorization` | Yes | Basic Auth credentials. |


#### Path parameters

| Parameter | Type | Required | Description |
|  --- | --- | --- | --- |
| `lraId` | integer | Yes | LRA identifier. |


#### Body parameters

| Parameter | Type | Required | Description |
|  --- | --- | --- | --- |
| `eidAssertionHolder` | object | Yes | [`DisposableeIDAssertionHolder` object](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposableeidassertionholder). |
| `contacts` | object | Yes | [`DisposableContacts` object](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecontacts). |
| `certificate` | object | Yes | [`DisposableCertificate` object](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertificate). |


#### Request example


```json
{
    "eidAssertionHolder": {
        "assertion": "encoded base64 assertion",
        "country": "IT",
        "eIDType": "SPID"
    },
    "contacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "certificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE"
    }
}
```

#### Response examples

**200 — Success**


```
Empty body
```

SOAP API
The SOAP interface is deprecated. Use the REST API instead.

**Method:** checkDataWitheIDAssertion

| **Parameter** | **Description** | **Mandatory** |
|  --- | --- | --- |
| holder | [`DisposableeIDAssertionHolder` object](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposableeidassertionholder) | YES |
| contacts | [`DisposableContacts` object](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecontacts) | YES |
| cert | [`DisposableCertificate` object](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertificate) | YES |
| lraid | The LRA identification code | NO |


**Response Example**


```xml
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ser="http://service.ws.nam/">
   <soapenv:Header/>
   <soapenv:Body>
      <ser:checkDataWitheIDAssertion>
      <holder>
        <country>IT</country>
        <eIDType>SPID</eIDType>
        <assertion>encoded base64 assertion</assertion>
      </holder>
      <contacts>
        <email>xxx@ffff.com</email>
        <mobile>1123345</mobile>
      </contacts>
      <cert>
        <fullData>false</fullData>
        <otpType>EMAIL</otpType>
        <password>password</password>
        <securityCode>password</securityCode>
        <type>DISPOSABLE</type>
      </cert>
      <lraid>344</lraid>
      </ser:checkDataWitheIDAssertion>
   </soapenv:Body>
</soapenv:Envelope>
```

**Response Example**


```xml
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
    <soap:Body>
        <ns2:checkDataWitheIDAssertionResponse xmlns:ns2="http://service.ws.nam/" />
    </soap:Body>
</soap:Envelope>
```

**Errors**: [Check here the main errors triggered.](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-checkdata)